# Uses of Interface
org.apache.velocity.runtime.RuntimeServices

Packages that use RuntimeServices
Package
Description
org.apache.velocity.app.event
org.apache.velocity.app.event.implement
org.apache.velocity.runtime
org.apache.velocity.runtime.directive
org.apache.velocity.runtime.directive.contrib
org.apache.velocity.runtime.parser
org.apache.velocity.runtime.parser.node
org.apache.velocity.runtime.resource
org.apache.velocity.runtime.resource.loader
org.apache.velocity.util
org.apache.velocity.util.introspection

## Uses of RuntimeServices in org.apache.velocity.app.event

Fields in org.apache.velocity.app.event declared as RuntimeServices
Modifier and Type
Field
Description
`protected RuntimeServices`
EventCartridge.`rsvc`
Methods in org.apache.velocity.app.event with parameters of type RuntimeServices
Modifier and Type
Method
Description
`static String`
EventHandlerUtil.`includeEvent(RuntimeServices rsvc, InternalContextAdapter context, String includeResourcePath, String currentResourcePath, String directiveName)`
Called when an include-type directive is encountered (#include or #parse).
`static Object`
EventHandlerUtil.`invalidGetMethod(RuntimeServices rsvc, InternalContextAdapter context, String reference, Object object, String property, Info info)`
Called when an invalid get method is encountered.
`static Object`
EventHandlerUtil.`invalidMethod(RuntimeServices rsvc, InternalContextAdapter context, String reference, Object object, String method, Info info)`
Called when an invalid method is encountered.
`static void`
EventHandlerUtil.`invalidSetMethod(RuntimeServices rsvc, InternalContextAdapter context, String leftreference, String rightreference, Info info)`
Called when an invalid set method is encountered.
`static Object`
EventHandlerUtil.`methodException(RuntimeServices rsvc, InternalContextAdapter context, Class<?> claz, String method, Exception e, Info info)`
Called when a method exception is generated during Velocity merge.
`static Object`
EventHandlerUtil.`referenceInsert(RuntimeServices rsvc, InternalContextAdapter context, String reference, Object value)`
Called before a reference is inserted.
`void`
EventCartridge.`setRuntimeServices(RuntimeServices rs)`
runtime services setter, called during initialization

## Uses of RuntimeServices in org.apache.velocity.app.event.implement

Methods in org.apache.velocity.app.event.implement that return RuntimeServices
Modifier and Type
Method
Description
`protected RuntimeServices`
EscapeReference.`getRuntimeServices()`
Retrieve a reference to RuntimeServices.
Methods in org.apache.velocity.app.event.implement with parameters of type RuntimeServices
Modifier and Type
Method
Description
`void`
EscapeReference.`setRuntimeServices(RuntimeServices rs)`
Called automatically when event cartridge is initialized.
`void`
IncludeNotFound.`setRuntimeServices(RuntimeServices rs)`
`void`
PrintExceptions.`setRuntimeServices(RuntimeServices rs)`
`void`
ReportInvalidReferences.`setRuntimeServices(RuntimeServices rs)`
Called automatically when event cartridge is initialized.

## Uses of RuntimeServices in org.apache.velocity.runtime

Classes in org.apache.velocity.runtime that implement RuntimeServices
Modifier and Type
Class
Description
`class`
`RuntimeInstance`
This is the Runtime system for Velocity.
Methods in org.apache.velocity.runtime that return RuntimeServices
Modifier and Type
Method
Description
`static RuntimeServices`
RuntimeSingleton.`getRuntimeServices()`
Returns the RuntimeServices Instance used by this wrapper.
Methods in org.apache.velocity.runtime with parameters of type RuntimeServices
Modifier and Type
Method
Description
`void`
ParserPool.`initialize(RuntimeServices svc)`
Initialize the pool so that it can begin serving parser instances.
`void`
ParserPoolImpl.`initialize(RuntimeServices rsvc)`
Create the underlying "pool".
Constructors in org.apache.velocity.runtime with parameters of type RuntimeServices
Modifier
Constructor
Description
``
`VelocimacroFactory(RuntimeServices rsvc)`
C'tor for the VelociMacro factory.

## Uses of RuntimeServices in org.apache.velocity.runtime.directive

Fields in org.apache.velocity.runtime.directive declared as RuntimeServices
Modifier and Type
Field
Description
`protected RuntimeServices`
Directive.`rsvc`
Methods in org.apache.velocity.runtime.directive with parameters of type RuntimeServices
Modifier and Type
Method
Description
`void`
Block.`init(RuntimeServices rs, InternalContextAdapter context, Node node)`
simple init - get the key
`void`
BlockMacro.`init(RuntimeServices rs, String macroName, InternalContextAdapter context, Node node)`
Initializes the directive.
`void`
Break.`init(RuntimeServices rs, InternalContextAdapter context, Node node)`
`void`
Define.`init(RuntimeServices rs, InternalContextAdapter context, Node node)`
simple init - get the key
`void`
Directive.`init(RuntimeServices rs, InternalContextAdapter context, Node node)`
How this directive is to be initialized.
`void`
Evaluate.`init(RuntimeServices rs, InternalContextAdapter context, Node node)`
Initialize and check arguments.
`void`
Foreach.`init(RuntimeServices rs, InternalContextAdapter context, Node node)`
simple init - init the tree and get the elementKey from the AST
`void`
Include.`init(RuntimeServices rs, InternalContextAdapter context, Node node)`
simple init - init the tree and get the elementKey from the AST
`void`
Macro.`init(RuntimeServices rs, InternalContextAdapter context, Node node)`
`void`
Parse.`init(RuntimeServices rs, InternalContextAdapter context, Node node)`
Init's the #parse directive.
`void`
RuntimeMacro.`init(RuntimeServices rs, String name, InternalContextAdapter context, Node node)`
Initialize the Runtime macro.
`void`
Stop.`init(RuntimeServices rs, InternalContextAdapter context, Node node)`
`void`
VelocimacroProxy.`init(RuntimeServices rs)`
Initialize members of VelocimacroProxy.
`static StringBuilder`
Macro.`macroToString(StringBuilder buf, List<Macro.MacroArg> macroArgs, RuntimeServices rsvc)`
For debugging purposes.

## Uses of RuntimeServices in org.apache.velocity.runtime.directive.contrib

Methods in org.apache.velocity.runtime.directive.contrib with parameters of type RuntimeServices
Modifier and Type
Method
Description
`void`
For.`init(RuntimeServices rs, InternalContextAdapter context, Node node)`

## Uses of RuntimeServices in org.apache.velocity.runtime.parser

Methods in org.apache.velocity.runtime.parser that return RuntimeServices
Modifier and Type
Method
Description
`RuntimeServices`
Parser.`getRuntimeServices()`
`RuntimeServices`
StandardParser.`getRuntimeServices()`
Constructors in org.apache.velocity.runtime.parser with parameters of type RuntimeServices
Modifier
Constructor
Description
``
`StandardParser(RuntimeServices rs)`
This constructor was added to allow the re-use of parsers.

## Uses of RuntimeServices in org.apache.velocity.runtime.parser.node

Fields in org.apache.velocity.runtime.parser.node declared as RuntimeServices
Modifier and Type
Field
Description
`protected RuntimeServices`
SimpleNode.`rsvc`
Methods in org.apache.velocity.runtime.parser.node that return RuntimeServices
Modifier and Type
Method
Description
`RuntimeServices`
SimpleNode.`getRuntimeServices()`

## Uses of RuntimeServices in org.apache.velocity.runtime.resource

Fields in org.apache.velocity.runtime.resource declared as RuntimeServices
Modifier and Type
Field
Description
`protected RuntimeServices`
Resource.`rsvc`
`protected RuntimeServices`
ResourceCacheImpl.`rsvc`
Runtime services, generally initialized by the `initialize()` method.
`protected RuntimeServices`
ResourceManagerImpl.`rsvc`
The internal RuntimeServices object.
Methods in org.apache.velocity.runtime.resource with parameters of type RuntimeServices
Modifier and Type
Method
Description
`void`
ResourceCache.`initialize(RuntimeServices rs)`
initializes the ResourceCache.
`void`
ResourceCacheImpl.`initialize(RuntimeServices rs)`
`void`
ResourceManager.`initialize(RuntimeServices rs)`
Initialize the ResourceManager.
`void`
ResourceManagerImpl.`initialize(RuntimeServices rs)`
Initialize the ResourceManager.
`void`
Resource.`setRuntimeServices(RuntimeServices rs)`

## Uses of RuntimeServices in org.apache.velocity.runtime.resource.loader

Fields in org.apache.velocity.runtime.resource.loader declared as RuntimeServices
Modifier and Type
Field
Description
`protected RuntimeServices`
ResourceLoader.`rsvc`
Methods in org.apache.velocity.runtime.resource.loader with parameters of type RuntimeServices
Modifier and Type
Method
Description
`void`
ResourceLoader.`commonInit(RuntimeServices rs, ExtProperties configuration)`
This initialization is used by all resource loaders and must be called to set up common properties shared by all resource loaders
`static ResourceLoader`
ResourceLoaderFactory.`getLoader(RuntimeServices rs, String loaderClassName)`
Gets the loader specified in the configuration file.
Constructors in org.apache.velocity.runtime.resource.loader with parameters of type RuntimeServices
Modifier
Constructor
Description
``
`JarHolder(RuntimeServices rs, String urlpath, org.slf4j.Logger log)`

## Uses of RuntimeServices in org.apache.velocity.util

Methods in org.apache.velocity.util with parameters of type RuntimeServices
Modifier and Type
Method
Description
`void`
RuntimeServicesAware.`setRuntimeServices(RuntimeServices rs)`
Called automatically when event cartridge is initialized.

## Uses of RuntimeServices in org.apache.velocity.util.introspection

Fields in org.apache.velocity.util.introspection declared as RuntimeServices
Modifier and Type
Field
Description
`protected RuntimeServices`
UberspectImpl.`rsvc`
runtime services
Methods in org.apache.velocity.util.introspection with parameters of type RuntimeServices
Modifier and Type
Method
Description
`void`
UberspectImpl.`setRuntimeServices(RuntimeServices rs)`
sets the runtime services
`void`
UberspectPublicFields.`setRuntimeServices(RuntimeServices rs)`